AM261x MCU+ SDK: MCAN_InitParams Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
MCAN_InitParams Struct Reference
APIs for SOC Specific Device Drivers » APIs for MCAN

## Detailed Description

Structure for MCAN initialization parameters.

## Data Fields
uint32_t | fdMode
uint32_t | brsEnable
uint32_t | txpEnable
uint32_t | efbi
uint32_t | pxhddisable
uint32_t | darEnable
uint32_t | wkupReqEnable
uint32_t | autoWkupEnable
uint32_t | emulationEnable
uint32_t | emulationFAck
uint32_t | clkStopFAck
uint32_t | wdcPreload
MCAN_TDCConfig | tdcConfig
uint32_t | tdcEnable

## Field Documentation

## ◆ fdMode

uint32_t MCAN_InitParams::fdMode

FD Operation Enable 0 = FD operation disabled 1 = FD operation enabled

## ◆ brsEnable

uint32_t MCAN_InitParams::brsEnable

Bit Rate Switch Enable This is valid only when opMode = 1. 0 = Bit rate switching for transmissions disabled 1 = Bit rate switching for transmissions enabled

## ◆ txpEnable

uint32_t MCAN_InitParams::txpEnable

Transmit Pause 0 = Transmit pause disabled 1 = Transmit pause enabled

## ◆ efbi

uint32_t MCAN_InitParams::efbi

FEdge Filtering during Bus Integration 0 = Edge filtering disabled 1 = Two consecutive dominant tq required to detect an edge for hard synchronization

## ◆ pxhddisable

uint32_t MCAN_InitParams::pxhddisable

Protocol Exception Handling Disable 0 = Protocol exception handling enabled 1 = Protocol exception handling disabled

## ◆ darEnable

uint32_t MCAN_InitParams::darEnable

Disable Automatic Retransmission 0 = Automatic retransmission of messages not transmitted successfully enabled 1 = Automatic retransmission disabled

## ◆ wkupReqEnable

uint32_t MCAN_InitParams::wkupReqEnable

Wakeup Request Enable 0 = Wakeup request is disabled 1 = Wakeup request is enabled

## ◆ autoWkupEnable

uint32_t MCAN_InitParams::autoWkupEnable

Auto-Wakeup Enable 0 = Auto-Wakeup is disabled 1 = Auto-Wakeup is enabled

## ◆ emulationEnable

uint32_t MCAN_InitParams::emulationEnable

Emulation/Debug Suspend Enable 0 = Emulation/Debug Suspend is disabled 1 = Emulation/Debug Suspend is enabled

## ◆ emulationFAck

uint32_t MCAN_InitParams::emulationFAck

Emulation/Debug Suspend Fast Ack Enable 0 = Emulation/Debug Suspend does not wait for idle/immediate effect 1 = Emulation/Debug Suspend waits for idle/graceful stop

## ◆ clkStopFAck

uint32_t MCAN_InitParams::clkStopFAck

Clock Stop Fast Ack Enable 0 = Clock Stop does not wait for idle/immediate effect 1 = Clock Stop waits for idle/graceful stop

## ◆ wdcPreload

uint32_t MCAN_InitParams::wdcPreload

Start value of the Message RAM Watchdog Counter Range:[0x0-0xFF]

## ◆ tdcConfig

MCAN_TDCConfig MCAN_InitParams::tdcConfig

Transmitter Delay Compensation parameters. Refer struct MCAN_TDCConfig.

## ◆ tdcEnable

uint32_t MCAN_InitParams::tdcEnable

Transmitter Delay Compensation Enable 0 = Transmitter Delay Compensation is disabled 1 = Transmitter Delay Compensation is enabled